import { setDefaultOptions, parse, format } from 'date-fns';
import { enUS } from 'date-fns/locale';
import { fetchAccounts, OutputFormat, DownloadTransactionsRequest, downloadTransactions } from './landsbankinn';

setDefaultOptions({ locale: enUS });


//First attempt hardcoded data
async function doIt() {
    console.log('doing it');
    const from = parse('01 Jan 2023', 'dd MMM yyyy', new Date());
    console.log(from);
    const to = parse('31 Jan 2023', 'dd MMM yyyy', new Date());
    const req: DownloadTransactionsRequest = {
        accountNumber: '010126013792',
        dateFrom: from,
        dateTo: to,
        outputFormat: OutputFormat.CSV,
    };

    const txns = await downloadTransactions(req);
    console.log(txns);
}

//doIt().then(() => alert('did it'));

async function fetchIt() {
    console.log('fetching it');
    const data = fetchAccounts();
    console.log(data);
}

//fetchIt().then(() => alert('fetched it'));
